=== debian/changelog ===
ros-indigo-enu (1.2.2-0trusty) trusty; urgency=high

  * Define _xerbla logging function to fix regression from swiftnav.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 May 2014 04:00:00 -0000

ros-indigo-enu (1.2.1-0trusty) trusty; urgency=high

  * Add service dep for enu_from_fix.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 10 Feb 2014 05:00:00 -0000

ros-indigo-enu (1.2.0-0trusty) trusty; urgency=high

  * Add a new trivial node which provides just the two conversion services.
  * Remove cruft from package.xml
  * Contributors: Mike Purvis, Prasenjit Mukherjee

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Feb 2014 05:00:00 -0000

ros-indigo-enu (1.1.0-0trusty) trusty; urgency=high

  * Specify minimum version for swiftnav dependency.
  * Add several key configuration parameters in support of the outdoor Husky EKF.
  * adding the ability to scale the gps covariance
  * adding param to lock altitude output to a rosparam set number
  * added provision to initialize odom orientation at a mathematically viable quaternion orientation
  * Clean up and simplify code API.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 03 Oct 2013 04:00:00 -0000

ros-indigo-enu (1.0.3-0trusty) trusty; urgency=high

  * Remove swiftnav stuff from enu, now that it's a separately released package.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 07 Sep 2013 04:00:00 -0000

ros-indigo-enu (1.0.2-0trusty) trusty; urgency=high

  * Attempt to fix build/install issue with swiftnav headers.
  * Move libswiftnav up to package path.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 05 Sep 2013 04:00:00 -0000

ros-indigo-enu (1.0.1-0trusty) trusty; urgency=high

  * Initial release of enu package for Hydro, including to_fix and from_fix
    conversion nodes, and a simple code API.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Sep 2013 04:00:00 -0000
